Get node
GET
/api/v1/nodes/{env}/node/{node}
const url = 'https://osctrl.net/api/v1/nodes/example/node/example';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://osctrl.net/api/v1/nodes/example/node/example \ --header 'Authorization: <Authorization>'Returns a single enrolled node in an environment, including admin-only detail fields.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”env
required
string
Environment name or UUID
node
required
string
Node UUID, hostname, or local name
Responses
Section titled “Responses”OK
Media typeapplication/json
object
bytes_received
integer
config_hash
string
country_code
string
cpu
string
created_at
string
daemon_hash
string
environment
string
environment_id
integer
extra_data
string
hardware_serial
string
health
object
reason
string
signals
Array<string>
status
string
hostname
string
id
integer
ip_address
string
last_seen
string
localname
string
memory
string
node_key
string
osquery_user
string
osquery_version
string
platform
string
platform_version
string
posture
object
risk_level
string
system_info
object
bios
object
address
string
date
string
revision
string
size
string
vendor
string
version
string
volume_size
string
os
object
codename
string
major
string
minor
string
name
string
patch
string
platform
string
platform_like
string
version
string
osquery
object
build_distro
string
build_platform
string
config_valid
string
extensions
string
start_time
string
version
string
system
object
computer_name
string
cpu_brand
string
cpu_logical_cores
string
cpu_physical_cores
string
cpu_subtype
string
cpu_type
string
hardware_model
string
hardware_serial
string
hardware_vendor
string
hardware_version
string
local_hostname
string
physical_memory
string
tags
Array<object>
object
auto_tag
boolean
cohort
boolean
color
string
created_at
string
created_by
string
custom_tag
string
description
string
environment_id
integer
icon
string
id
integer
name
string
tag_type
integer
updated_at
string
updated_at
string
uptime
object
days
integer
hours
integer
last_seen
string
minutes
integer
seconds
integer
total_seconds
integer
user_id
integer
username
string
uuid
string
Examplegenerated
{ "bytes_received": 1, "config_hash": "example", "country_code": "example", "cpu": "example", "created_at": "example", "daemon_hash": "example", "environment": "example", "environment_id": 1, "extra_data": "example", "hardware_serial": "example", "health": { "reason": "example", "signals": [ "example" ], "status": "example" }, "hostname": "example", "id": 1, "ip_address": "example", "last_seen": "example", "localname": "example", "memory": "example", "node_key": "example", "osquery_user": "example", "osquery_version": "example", "platform": "example", "platform_version": "example", "posture": { "risk_level": "example" }, "system_info": { "bios": { "address": "example", "date": "example", "revision": "example", "size": "example", "vendor": "example", "version": "example", "volume_size": "example" }, "os": { "codename": "example", "major": "example", "minor": "example", "name": "example", "patch": "example", "platform": "example", "platform_like": "example", "version": "example" }, "osquery": { "build_distro": "example", "build_platform": "example", "config_valid": "example", "extensions": "example", "start_time": "example", "version": "example" }, "system": { "computer_name": "example", "cpu_brand": "example", "cpu_logical_cores": "example", "cpu_physical_cores": "example", "cpu_subtype": "example", "cpu_type": "example", "hardware_model": "example", "hardware_serial": "example", "hardware_vendor": "example", "hardware_version": "example", "local_hostname": "example", "physical_memory": "example" } }, "tags": [ { "auto_tag": true, "cohort": true, "color": "example", "created_at": "example", "created_by": "example", "custom_tag": "example", "description": "example", "environment_id": 1, "icon": "example", "id": 1, "name": "example", "tag_type": 1, "updated_at": "example" } ], "updated_at": "example", "uptime": { "days": 1, "hours": 1, "last_seen": "example", "minutes": 1, "seconds": 1, "total_seconds": 1 }, "user_id": 1, "username": "example", "uuid": "example"}Bad request
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Unauthorized
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Forbidden
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Not found
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Conflict
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Too many requests
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Internal server error
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Service unavailable
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}